<?php

$args = array(
    "tz_style"                              => "in_grid",
    "tz_number_item_desk"                   => "3",
    "tz_number_item_tablet_landscape"       => "3",
    "tz_number_item_tablet_portrait"        => "1",
    "tz_number_item_mobile"                 => "1",
    "tz_auto_option"                        => "",
    "tz_loop_option"                        => "",
    "tz_nav_option"                         => "",
    "tz_dots_option"                        => "",
    "tz_css_animation"                      => "",
);

$html = "";

extract(shortcode_atts($args, $atts));

wp_enqueue_style( 'owl-carousel-234');
wp_enqueue_script('owl-carousel-234');

$tzinteriart_support_class = '';
if($tz_style != ''){
    $tzinteriart_support_class .= ' tzCategory_Slide_' .$tz_style;
}

if($tz_css_animation != ''){
    wp_enqueue_script( 'waypoints' );
    $tzinteriart_support_class .= ' wpb_animate_when_almost_visible wpb_' . $tz_css_animation;
}
$interiart_slideid = rand(0,10000);

?>
<div class="tzElement_Category_Slide_Container <?php echo esc_attr($tzinteriart_support_class);?>">
    <?php if($tz_style == 'in_grid'): ?>
    <div class="container">
    <?php endif;?>
        <div class="owl-carousel tzElement_Category_Slide tzElement_Category_Slide_<?php echo esc_attr($interiart_slideid);?>">
            <?php
            echo do_shortcode($content);
            ?>
        </div>
    <?php if($tz_style == 'in_grid'): ?>
    </div>
    <?php endif;?>

</div>

<script type="text/javascript">
    jQuery(document).ready(function() {
        "use strict";
        var rtl_vl = jQuery('html').attr('dir');

            if(rtl_vl=='rtl'){
                var rtl_tr=true;
            }else{
                var rtl_tr=false;
            }
        // Blog slider  -----------------
            jQuery(".tzElement_Category_Slide_<?php echo esc_attr($interiart_slideid);?>").owlCarousel({
                items : <?php if($tz_number_item_desk != ''){ echo esc_attr($tz_number_item_desk);} else{ echo '6';}?>,
                slideSpeed:500,
                paginationSpeed:800,
                rtl:rtl_tr,
                rewindSpeed:1000,
                autoPlay:<?php if($tz_auto_option == true){ echo 'true';}else{ echo 'false';}?>,
                stopOnHover: false,
                singleItem:false,
                nav : <?php if($tz_nav_option == true){ echo 'true';}else{ echo 'false';}?>,
                navText : ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
                rewind:<?php if($tz_loop_option == true){ echo 'true';}else{ echo 'false';}?>,
                dots:<?php if($tz_dots_option == true){ echo 'true';}else{ echo 'false';}?>,
                dotsEach:false,
                itemsScaleUp:false,
                mouseDrag:true,
                responsive:{
                    0:{
                        items:1,
                        center:true,

                    },
                    480:{
                        items:<?php if($tz_number_item_mobile != ''){ echo esc_attr($tz_number_item_mobile);} else{ echo '2';}?>,
                        center:true,
                    },
                    768:{
                        items:<?php if($tz_number_item_tablet_portrait != ''){ echo esc_attr($tz_number_item_tablet_portrait);} else{ echo '3';}?>,
                    },
                    959:{
                        items:<?php if($tz_number_item_tablet_landscape != ''){ echo esc_attr($tz_number_item_tablet_landscape);} else{ echo '4';}?>,
                    },
                    1199:{
                        items:<?php if($tz_number_item_desk != ''){ echo esc_attr($tz_number_item_desk);} else{ echo '6';}?>,
                    }
                }
            });
    });

</script>
