<?php

$args = array(
    "tz_style" => "slide",
    "tz_type" => "type1",
    "tz_imagebg" => "",
    "tz_pagination" => "",
    "tz_arrow" => "hide",
    "tz_autoplay" => "no",
    "tz_css_animation" => "",
    "css" => "",
);

$html = "";

extract(shortcode_atts($args, $atts));
if ($tz_style == 'slide') {
    wp_enqueue_style( 'owl-carousel-234');
    wp_enqueue_script('owl-carousel-234');

}

$tz_images_info = wp_get_attachment_image_src($tz_imagebg, $size = 'full');

$tzinteriart_team_class = '';

if ($tz_style != '') {
    $tzinteriart_team_class .= ' tzQuote_' . $tz_style;
}

if ($tz_type != '') {
    $tzinteriart_team_class .= ' tzQuote_' . $tz_type;
}

if ($tz_css_animation != '') {
    wp_enqueue_script('waypoints');
    $tzinteriart_team_class .= ' wpb_animate_when_almost_visible wpb_' . $tz_css_animation;
}

$quote_classes = '';
if (isset($css) && $css != ''):
    $quote_classes .= ' ' . vc_shortcode_custom_css_class($css);
endif;

?>
<?php

if ($tz_type != 'type8') {
    ?>
    <div class="tzElement_Quote_Container <?php echo esc_attr($tzinteriart_team_class); ?> <?php echo esc_attr($quote_classes); ?>">

        <?php
        if ($tz_type == 'type5') {
            ?>
            <div class="tzElement_Quote_ImageBg">
                <img width="<?php echo esc_attr($tz_images_info[1]); ?>"
                     height="<?php echo esc_attr($tz_images_info[2]); ?>" alt="image testerminal"
                     src="<?php echo esc_url($tz_images_info[0]); ?>">
            </div>
            <?php
        }
        ?>
        <?php
        if ($tz_type == 'type5'){
        ?>
        <div class="tzElement_Quote_Box">
            <div class="tzElement_Quote_Wrap">

                <img class="tzElement_Quote_Icon"
                     src="<?php echo get_template_directory_uri() . '/images/icon_quote.png' ?>"
                     alt="quote icon background">

                <?php
                }
                ?>
                <div class="tzElement_Quote owl-carousel">
                    <?php
                    echo do_shortcode($content);
                    ?>
                </div>

                <?php
                if ($tz_type == 'type5'){
                ?>
            </div>
        </div>
    <?php
    }
    ?>

        <?php
        if ($tz_style == 'slide' && $tz_arrow == 'show') {
            ?>
            <button class="tzprevslider"><i class="fa fa-angle-left"></i></button>
            <button class="tznextslider"><i class="fa fa-angle-right"></i></button>
            <?php
        }
        ?>

    </div>
    <?php
} else {
    ?>
    <div class="tzElement_Quote_Container <?php echo esc_attr($tzinteriart_team_class); ?>">
        <div class="container">
            <?php
            if ($tz_type == 'type5') {
                ?>
                <div class="tzElement_Quote_ImageBg">
                    <img width="<?php echo esc_attr($tz_images_info[1]); ?>"
                         height="<?php echo esc_attr($tz_images_info[2]); ?>" alt="image testerminal"
                         src="<?php echo esc_url($tz_images_info[0]); ?>">
                </div>
                <?php
            }
            ?>
            <?php
            if ($tz_type == 'type5'){
            ?>
            <div class="tzElement_Quote_Box">
                <div class="tzElement_Quote_Wrap">

                    <img class="tzElement_Quote_Icon"
                         src="<?php echo get_template_directory_uri() . '/images/icon_quote.png' ?>"
                         alt="quote icon background">

                    <?php
                    }
                    ?>

                    <div class="tzElement_Quote owl-carousel">
                        <?php
                        echo do_shortcode($content);
                        ?>
                    </div>

                    <?php
                    if ($tz_type == 'type5'){
                    ?>
                </div>
            </div>
        <?php
        }
        ?>

            <?php
            if ($tz_style == 'slide' && $tz_arrow == 'show') {
                ?>
                <button class="tzprevslider"><i class="fa fa-angle-left"></i></button>
                <button class="tznextslider"><i class="fa fa-angle-right"></i></button>
                <?php
            }
            ?>
        </div>
    </div>
    <?php
}
?>
<?php
if ($tz_style == 'slide') {
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            "use strict";
            var rtl_vl = jQuery('html').attr('dir');

            if(rtl_vl=='rtl'){
                var rtl_tr=true;
            }else{
                var rtl_tr=false;
            }
            jQuery(".tzElement_Quote").each(function () {
                jQuery(this).owlCarousel({
                    items: 1,
                    itemsDesktop: [1199, 1],
                    itemsDesktopSmall: [979, 1],
                    itemsTablet: [768, 1],
                    itemsMobile: [479, 1],
                    addClassActive: true,
                    autoplayTimeout:3000,
                    autoplayHoverPause:false,
                    autoplay: <?php if ($tz_autoplay == 'no') {
                            echo 'false';
                        } else {
                            echo 'true';
                        }?>,
                    singleItem: false,
                    rewindNav: true,
                    rtl:rtl_tr,
                    pagination:<?php if ($tz_pagination == 'hide') {
                        echo 'false';
                    } else {
                        echo 'true';
                    }?>,
                    dots: false,
                    itemsScaleUp: false
                });

                // Custom Navigation Events
                jQuery('.tznextslider').on('click', function () {
                    jQuery(this).parent().find('.tzElement_Quote').trigger('next.owl.carousel');
                })

                jQuery('.tzprevslider').on('click', function () {
                    jQuery(this).parent().find('.tzElement_Quote').trigger('prev.owl.carousel');
                });
            });
        });

    </script><!--end script recent-project -->

    <?php
}
?>