<?php
/*
 * VC_ROW
 * */
vc_remove_param('vc_row', 'full_width');
vc_add_param('vc_row',array(
        "type" => "dropdown",
        "heading" => esc_html__('Row Type', 'tz-interiart'),
        "param_name" => "tz_row_type",
        "weight" => '0',
        "value" => array(
            esc_html__("Full Width", 'tz-interiart') => 'full_width',
            esc_html__("In Grid", 'tz-interiart') => 'grid'
        )
    )
);

vc_add_param('vc_row', array(
        "type"          =>  "colorpicker",
        "class"         =>  "hide_in_vc_editor",
        "admin_label"   => true,
        "heading"       => esc_html__("Overlay Parallax","tz-interiart"),
        "param_name"    => "tz_overlay_parallax",
        "dependency"    => Array('element' => "parallax", 'value' => array('content-moving','content-moving-fade'))
    )
);

vc_add_param('vc_row', array(
    "type"        =>  "checkbox",
    "class"       =>  "hide_in_vc_editor",
    "admin_label" => true,
    "heading"     => esc_html__("Ruler Option","tz-interiart"),
    "param_name"  => "tz_ruler",
    "value"       => array( '' => '1')
));

vc_add_param('vc_row', array(
    "type"        =>  "checkbox",
    "class"       =>  "hide_in_vc_editor",
    "admin_label" => true,
    "heading"     => esc_html__("Pattern","tz-interiart"),
    "param_name"  => "tz_pattern",
    "value"       => array( '' => '1')
));

vc_add_param('vc_row',
    array(
        "type" => "attach_image",
        "class" => "",
        "admin_label" => true,
        "heading" => esc_html__("Featured Image", "tz-interiart"),
        "param_name" => "tz_image_background",
        "description" => esc_html__("Upload image.", "tz-interiart"),
        "value"       => "",
    )
);
vc_add_param('vc_row', array(
        "type"          => "dropdown",
        "class"         => "",
        "heading"       => esc_html__("Type Featured Image","tz-interiart"),
        "param_name"    => "tz_type_image",
        "value"         => array(
            esc_html__("Choose type","tz-interiart")        => "",
            esc_html__("Normal","tz-interiart")              => "normal",
            esc_html__("Top","tz-interiart")                 => "top",

        ),
        "description" => ""
    )
);

/*
 * VC_ROW_INNER
 * */

vc_add_param('vc_row_inner', array(
    "type"        =>  "checkbox",
    "class"       =>  "shadow_in_vc_editor",
    "admin_label" => false,
    "heading"     => esc_html__("Box Shadow","tz-interiart"),
    "description"   => "Add Drop Shadow to an inner row.",
    "param_name"  => "tz_shadow",
    "value"       => array( '' => 'tz_shadow')
));

/*
 * VC_COLUMN
 * */

vc_add_param('vc_column', array(
        "type"          => "dropdown",
        "class"         => "",
        "heading"       => esc_html__("Text Alignment","tz-interiart"),
        "param_name"    => "tztextalign",
        "value"         => array(
            esc_html__("Choose align","tz-interiart")        => "",
            esc_html__("Align Center","tz-interiart")        => "center",
            esc_html__("Align Left","tz-interiart")          => "left",
            esc_html__("Align Right","tz-interiart")         => "right",
        ),
        "description" => ""
    )
);

vc_add_param('vc_column',array(
    "type" => "dropdown",
    "class" => "",
    "admin_label" => true,
    "heading"       => esc_html__("Css Animation", "tz-interiart"),
    "param_name"    => "tz_css_animation",
    "description"   => "",
    "value"         => array(
        esc_html__("No animation", "tz-interiart")           => '',
        esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
        esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
        esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
        esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
        esc_html__("Appear from center", "tz-interiart")     => 'appear'),
    )
);

/*
 * VC_BUTTON
 * */

vc_add_param('vc_btn',array(
        "type" => "dropdown",
        "class" => "",
        "admin_label" => true,
        "heading"       => esc_html__("Font Family", "tz-interiart"),
        "param_name"    => "tz_font_family",
        "description"   => "",
        "value"         => array(
            esc_html__("Ubuntu", "tz-interiart") => '',
            esc_html__("Raleway", "tz-interiart") => 'raleway',
            esc_html__("Montserrat", "tz-interiart") => 'montserrat',
            esc_html__("Droid Serif", "tz-interiart") => 'droidserif'),
    )
);

vc_add_param('vc_btn', array(
        "type"          => "textfield",
        "class"         => "",
        "admin_label"   => true,
        "heading"       => esc_html__("Margin Top(px)","tz-interiart"),
        "param_name"    => "tz_padding_top",
        "description"   => "Ex: 50",
        "value"         => "",
    )
);

vc_add_param('vc_btn', array(
        "type"          => "textfield",
        "class"         => "",
        "admin_label"   => true,
        "heading"       => esc_html__("Margin Bottom(px)","tz-interiart"),
        "param_name"    => "tz_padding_bottom",
        "description"   => "Ex: 50",
        "value"         => "",
    )
);

vc_add_param('vc_btn', array(
        "type"          => "textfield",
        "class"         => "",
        "admin_label"   => true,
        "heading"       => esc_html__("Margin Left(px)","tz-interiart"),
        "param_name"    => "tz_padding_left",
        "description"   => "Ex: 50",
        "value"         => "",
    )
);

vc_add_param('vc_btn', array(
        "type"          => "textfield",
        "class"         => "",
        "admin_label"   => true,
        "heading"       => esc_html__("Margin Right(px)","tz-interiart"),
        "param_name"    => "tz_padding_right",
        "description"   => "Ex: 50",
        "value"         => "",
    )
);

/*
 * VC_GALLERY
 * */

vc_add_param('vc_gallery',array(
        "type" => "dropdown",
        "class" => "",
        "admin_label" => true,
        "heading" => esc_html__("Gallery Type", "tz-interiart"),
        "param_name" => "type",
        "description" => "",
        "value" => array(
            esc_html__("Flex slider fade", "tz-interiart") => 'flexslider_fade',
            esc_html__("Flex slider slide", "tz-interiart") => 'flexslider_slide',
            esc_html__("Nivo slider", "tz-interiart") => 'nivo',
            esc_html__("Owl Carousel", "tz-interiart") => 'owl_carousel',
            esc_html__("Slick slider", "tz-interiart") => 'slickslider',
            esc_html__("Image grid", "tz-interiart") => 'image_grid'),
    )
);

/*
 * VC_GMap
 * */
vc_add_param('vc_gmaps',array(
        "type" => "dropdown",
        "class" => "",
        "admin_label" => true,
        "weight" => -1,
        "heading" => esc_html__("Google Map Type", "tz-interiart"),
        "param_name" => "tz_type",
        "description" => "",
        "value" => array(
            esc_html__("Modern", "tz-interiart") => 'modern',
            esc_html__("Classic", "tz-interiart") => 'classic'),
    )
);

/*
 * VC_TAB
 * */

vc_add_param('vc_tab', array(
        "type"         => "textfield",
        "class" => "",
        "admin_label" => true,
        "heading"      => esc_html__("Width", "tz-interiart"),
        "param_name"   => "tz_width",
        "description"  => esc_html__("Insert width( px or % ) of box title. Example: 25% or 250px . Default: 25% ","tz-interiart"),
        "value" => "",
        "weight" => 1, //  default 0 - unsorted and appended to bottom, 1 - appended to top
    )
);

vc_add_param('vc_tab', array(
        "type" => "attach_image",
        "class" => "",
        "admin_label" => true,
        "heading" => esc_html__("Image Background", "tz-interiart"),
        "param_name" => "tz_image",
        "description" => esc_html__("Upload image background for element.", "tz-interiart"),
        'weight' => 1, //  default 0 - unsorted and appended to bottom, 1 - appended to top
    )
);
vc_add_param('vc_tab', array(
        "type" => "checkbox",
        "class" => "",
        "admin_label" => true,
        "heading"       => esc_html__("Add Icon ?", "tz-interiart"),
        "param_name"    => "tz_add_icon",
        "description"   => esc_html__("Add icon next to section title.","tz-interiart"),
        "value" => array('Yes' => '1' ),
        "weight" => 0, //  default 0 - unsorted and appended to bottom, 1 - appended to top
    )
);
vc_add_param('vc_tab', array(
        "type"          => "dropdown",
        "class" => "",
        "admin_label" => true,
        "heading"       => esc_html__("Icon Position", "tz-interiart"),
        "param_name"    => "tz_icon_position",
        "description"   => esc_html__("Select icon position.", "tz-interiart"),
        "value"         => array(
            esc_html__("Above title", "tz-interiart")       => 'above',
            esc_html__("Under title", "tz-interiart")       => 'under',
            esc_html__("Before title", "tz-interiart")      => 'before',
            esc_html__("After title", "tz-interiart")       => 'after'),
        "weight" => 0, //  default 0 - unsorted and appended to bottom, 1 - appended to top
        "dependency" => Array('element' => "tz_add_icon", 'value' => array('1')),
    )
);
vc_add_param('vc_tab', array(
        "type"          => "dropdown",
        "class" => "",
        "admin_label" => true,
        "heading"       => esc_html__("Font Icon", "tz-interiart"),
        "param_name"    => "tz_font_icon",
        "description"   => esc_html__("Select type of icon.", "tz-interiart"),
        "value"         => array(
            esc_html__("Furniture", "tz-interiart")             => 'furniture',
            esc_html__("Elegant", "tz-interiart")               => 'elegant',
            esc_html__("Et Line", "tz-interiart")               => 'et-line',
            esc_html__("Font Awesome", "tz-interiart")          => 'awesome'),
        "weight" => 0, //  default 0 - unsorted and appended to bottom, 1 - appended to top
        "dependency" => Array('element' => "tz_add_icon", 'value' => array('1')),
    )
);

vc_add_param('vc_tab', array(
        "type"         => "textfield",
        "class" => "",
        "admin_label" => true,
        "heading"      => esc_html__("Icon", "tz-interiart"),
        "param_name"   => "tz_icon",
        "description"  => esc_html__(".If you choose font Et Line icon or font Elegant icon,you can see class of icon in package.If you choose Awesome font, you click on link to go to website: http://fontawesome.io/icons ,and choose suitable class. After that you can fill in textbox.Ex: fa-user","tz-interiart"),
        "value" => "",
        "weight" => 0, //  default 0 - unsorted and appended to bottom, 1 - appended to top
        "dependency" => Array('element' => "tz_add_icon", 'value' => array('1')),
    )
);

/*
 * VC_TTA_TABS
 */

vc_add_param('vc_tta_tabs', array(
        'type' => 'dropdown',
        'param_name' => 'tab_position',
        'value' => array(
            __( 'Top', 'js_composer' ) => 'top',
            __( 'Bottom', 'js_composer' ) => 'bottom',
            __( 'Left', 'js_composer' ) => 'left',
        ),
        'heading' => __( 'Position', 'js_composer' ),
        'description' => __( 'Select tabs navigation position.', 'js_composer' ),
    )
);


/*********************************************************************************
 * Class WPBakeryShortCode_Pricing_Table
 */

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Pricing_Table extends WPBakeryShortCode {}
}

vc_map( array(
    "name" => "Pricing Table",
    "base" => "pricing_table",
    "weight" => 1,
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "params" => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Type of Pricing Table","tz-interiart"),
            "param_name" => "tz_type",
            "value" => array(
                esc_html__("choose type","tz-interiart") => "",
                esc_html__("Type 1","tz-interiart") => "type1",
                esc_html__("Type 2","tz-interiart") => "type2",
            )
        ),
        array(
            "type" => "dropdown",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Font Icon","tz-interiart"),
            "param_name" => "tz_font_icon",
            "value" => array(
                esc_html__("Font Et-Line","tz-interiart") => "et-line",
                esc_html__("Font Awesome","tz-interiart") => "awesome",
            )
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Class Of Icon","tz-interiart"),
            "param_name" => "tz_icon",
            "value" => "",
            "description" => ""
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Title","tz-interiart"),
            "param_name" => "tz_title",
            "value" => "Basic",
            "description" => ""
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Price","tz-interiart"),
            "param_name" => "tz_price",
            "description" => "",
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Currency","tz-interiart"),
            "param_name" => "tz_currency",
            "description" => "",
            "value"         => "",
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Price Period","tz-interiart"),
            "param_name" => "tz_price_period",
            "description" => "",
            "value"         => "",
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Button Text","tz-interiart"),
            "param_name" => "tz_button_text",
            "description" => esc_html__("Default label is Purchase Now","tz-interiart"),
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Button Link","tz-interiart"),
            "param_name" => "tz_link",
            "value" => "",
        ),

        array(
            "type" => "textarea_html",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Content","tz-interiart"),
            "param_name" => "content",
            "value" => "<ul><li>Full Access</li><li>Unlimited Pizza</li><li>2 Free Forks Every Months</li><li>Unlimited Burger</li><li>Daft Punk Every Evenings</li></ul>",
            "description" => ""
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
    )
) );

/***********************************************************************************
 * Class WPBakeryShortCode_Tz_Quote
 */
class WPBakeryShortCode_Quote  extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Quote",
    "base" => "quote",
    "weight" => 1,
    "as_parent" => array('only' => 'quote_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(

        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Style Quote", "tz-interiart"),
            "param_name"    => "tz_style",
            "description"   => "",
            "std"           =>"slide",
            "value"         => array(
                esc_html__("Slide", "tz-interiart")              => 'slide',
                esc_html__("List", "tz-interiart")               => 'list'),
        ),

        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Type Quote", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")             => 'type1',
                esc_html__("Type 2", "tz-interiart")             => 'type2',
                esc_html__("Type 3", "tz-interiart")             => 'type3',
                esc_html__("Type 4", "tz-interiart")             => 'type4',
                esc_html__("Type 5", "tz-interiart")             => 'type5',
                esc_html__("Type 6", "tz-interiart")             => 'type6',
                esc_html__("Type 7", "tz-interiart")             => 'type7',
                esc_html__("Type 8", "tz-interiart")             => 'type8',
                esc_html__("Type 9", "tz-interiart")             => 'type9',
            ),
        ),
        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Image Background", "tz-interiart"),
            "param_name" => "tz_imagebg",
            "description" => esc_html__("Upload image background of quote.", "tz-interiart"),
            "dependency" => Array('element' => "tz_type", 'value' => array('type5')),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Pagination Option", "tz-interiart"),
            "param_name"    => "tz_pagination",
            "description"   => "",
            "value"         => array(
                esc_html__("Choose option", "tz-interiart")          => '',
                esc_html__("Show", "tz-interiart")                   => 'show',
                esc_html__("Hide", "tz-interiart")                   => 'hide'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Arrow Option", "tz-interiart"),
            "param_name"    => "tz_arrow",
            "description"   => "",
            "value"         => array(
                esc_html__("Hide", "tz-interiart")                   => 'hide',
                esc_html__("Show", "tz-interiart")                   => 'show'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Auto play", "tz-interiart"),
            "param_name"    => "tz_autoplay",
            "description"   => "",
            "value"         => array(
                esc_html__("No", "tz-interiart")                   => 'no',
                esc_html__("Yes", "tz-interiart")                   => 'yes'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    ),
    "js_view" => 'VcColumnView'
) );

// Customer say item
class WPBakeryShortCode_Quote_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Quote Item",
    "base" => "quote_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'quote'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(

        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image Option", "tz-interiart"),
            "param_name"    => "tz_image_option",
            "description"   => "",
            "value"         => array(
                esc_html__("Choose type", "tz-interiart")        => '',
                esc_html__("Show", "tz-interiart")             => 'show',
                esc_html__("Hide", "tz-interiart")             => 'hide'),
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Title","tz-interiart"),
            "param_name" => "tz_title",
            "value" => "",
        ),
        array(
            "type" => "attach_image",
            "class"         => "",
            "admin_label"   => true,
            "heading" => esc_html__("Image Author", "tz-interiart"),
            "param_name" => "tz_author",
            "description" => esc_html__("Upload image author of quote.", "tz-interiart"),
            "dependency"    => Array('element' => "tz_image_option", 'value' => array('show')),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image size", "tz-interiart"),
            "param_name"    => "tz_image_size",
            "description"   => "",
            "value"         => array(
                esc_html__("Thumbnail", "tz-interiart")             => 'thumbnail',
                esc_html__("Medium", "tz-interiart")             => 'medium',
                esc_html__("Large", "tz-interiart")             => 'large',
                esc_html__("Full", "tz-interiart")             => 'full',
            ),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Name Option", "tz-interiart"),
            "param_name"    => "tz_name_option",
            "description"   => "",
            "value"         => array(
                esc_html__("Choose option", "tz-interiart")        => '',
                esc_html__("Show", "tz-interiart")             => 'show',
                esc_html__("Hide", "tz-interiart")             => 'hide'),
        ),

        array(
            "type" => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading" => esc_html__("Name","tz-interiart"),
            "param_name" => "tz_name",
            "description" => "",
            "value" => "",
            "dependency"    => Array('element' => "tz_name_option", 'value' => array('show')),
        ),

        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Employment Option", "tz-interiart"),
            "param_name"    => "tz_employment_option",
            "description"   => "",
            "value"         => array(
                esc_html__("Choose option", "tz-interiart")        => '',
                esc_html__("Show", "tz-interiart")             => 'show',
                esc_html__("Hide", "tz-interiart")             => 'hide'),
        ),
        array(
            "type" => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading" => esc_html__("Employment","tz-interiart"),
            "param_name" => "tz_employment",
            "description" => "",
            "value" => "",
            "dependency" => Array('element' => "tz_employment_option", 'value' => array('show')),
        ),
        array(
            "type"          => "textarea",
            "holder"        => "div",
            "class"         => "",
            "heading"       => esc_html__("Content", "tz-interiart"),
            "param_name"    => "tz_content",
            "value"         => "",
        ),
    )
) );


/***********************************************************************************
 * Class WPBakeryShortCode_Tz_Slide_Video_Popup
 */
class WPBakeryShortCode_Slide_Video_Popup  extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Slide Video Popup",
    "base" => "slide_video_popup",
    "weight" => 1,
    "as_parent" => array('only' => 'slide_video_popup_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show next/prev buttons", "tz-interiart"),
            "param_name"    => "tz_nav_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
//
//        array(
//            "type" => "checkbox",
//            "class" => "",
//            "admin_label" => true,
//            "heading"       => esc_html__("Slider Loop", "tz-interiart"),
//            "param_name"    => "tz_loop_option",
//            "description"   => "",
//            "value" => "",
//            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
//        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Auto play", "tz-interiart"),
            "param_name"    => "tz_auto_play",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    ),
    "js_view" => 'VcColumnView'
) );

// Customer say item
class WPBakeryShortCode_Slide_Video_Popup_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Slide Video Popup Item",
    "base" => "slide_video_popup_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'slide_video_popup'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(

        array(
            'type' => 'textfield',
            'class' => '',
            'admin_label' => false,
            'heading' => esc_html__('Video link', 'tz-interiart'),
            'param_name' => 'tz_video_link',

        ),
        array(
            'type' => 'checkbox',
            'class' => '',
            'admin_label' => true,
            'heading' => esc_html__('Use Play image?', 'tz-interiart'),
            'param_name' => 'video_icon',
            'description' => esc_html__('If checked, you need to upload an image for the Play button.', 'tz-interiart'),
            'std' => 'false',
            'value' => array(
                esc_html__('Enable', 'tz-interiart') => 'true',
            ),
        ),
        array(
            'type' => 'attach_image',
            'class' => '',
            'heading' => esc_html__('Icon play image', 'tz-interiart'),
            'param_name' => 'video_icon_play_img',
            'description' => esc_html__('Upload icon  play image', 'tz-interiart'),
            'dependency' => Array('element' => 'video_icon', 'value' => 'true'),

        ),
        array(
            'type' => 'attach_image',
            'class' => '',
            'heading' => esc_html__('Poster Image', 'tz-interiart'),
            'param_name' => 'tz_video_image',
            'description' => esc_html__('Upload your background video', 'tz-interiart'),

        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
) );


/***********************************************************************************
 * Class WPBakeryShortCode_Tz_Category_Grid
 */
class WPBakeryShortCode_Category_Grid  extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Category Grid",
    "base" => "category_grid",
    "weight" => 1,
    "as_parent" => array('only' => 'category_grid_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Column Of Support", "tz-interiart"),
            "param_name"    => "tz_column",
            "description"   => "",
            "value"         => array(
                esc_html__("2 Columns", "tz-interiart")             => '2',
                esc_html__("3 Columns", "tz-interiart")             => '3',
                esc_html__("4 Columns", "tz-interiart")             => '4'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
    ),
    "js_view" => 'VcColumnView'
) );

// Customer say item
$tz_categories_array = array('choose category of portfolio');
$tz_categories = get_categories(array('taxonomy'=>'portfolio-category'));
foreach($tz_categories as $tz_category){
    $tz_categories_array[$tz_category->name] = $tz_category->slug;
}

class WPBakeryShortCode_Category_Grid_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Category Grid Item",
    "base" => "category_grid_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'category_grid'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(
        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Image Background", "tz-interiart"),
            "param_name" => "tz_image",
            "description" => esc_html__("Upload image background for element.", "tz-interiart"),
        ),
        array(
            "type"          => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Font Icon", "tz-interiart"),
            "param_name"    => "tz_font_icon",
            "description"   => esc_html__("Show or hide icon", "tz-interiart"),
            "value"         => array(
                esc_html__("Furniture", "tz-interiart")             => 'furniture',
                esc_html__("Elegant", "tz-interiart")               => 'elegant',
                esc_html__("Font Awesome", "tz-interiart")          => 'awesome',
                esc_html__("Et Line", "tz-interiart")               => 'et-line')
        ),
        array(
            "type"         => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"      => esc_html__("Icon", "tz-interiart"),
            "param_name"   => "tz_icon",
            "description"  => esc_html__(".If you choose font Et Line icon or font Elegant icon,you can see class of icon in package.If you choose Awesome font, you click on link to go to website: http://fontawesome.io/icons ,and choose suitable class. After that you can fill in textbox.Ex: fa-user","tz-interiart"),
            "value" => "",
        ),

        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_title",
            "value" => "",
        ),

        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Sub Title", "tz-interiart"),
            "param_name" => "tz_subtitle",
            "value" => "",
        ),

        array(
            "type"          => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Description Field Type", "tz-interiart"),
            "param_name"    => "tz_description_type",
            "description"   => esc_html__("Select Field type ( Textarea field or Editor field )", "tz-interiart"),
            "value"         => array(
                esc_html__("Textarea Field", "tz-interiart")             => 'textarea',
                esc_html__("Editor Field", "tz-interiart")               => 'editor')
        ),

        array(
            "type"       => "textarea",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Description", "tz-interiart"),
            "param_name" => "tz_description",
            "value" => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('textarea')),
        ),

        array(
            "type"       => "textarea_html",
            "class" => "",
            "heading"    => esc_html__("Description", "tz-interiart"),
            "param_name" => "content",
            "value" => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('editor')),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Option Link", "tz-interiart"),
            "param_name"    => "tz_option_link",
            "description"   => esc_html__("You can choose link to category or custom link", "tz-interiart"),
            "value"         => array(
                esc_html__("Link To Category", "tz-interiart") => 'link-to-category',
                esc_html__("Custom Link", "tz-interiart") => 'custom-link')
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Link To Category Page", "tz-interiart"),
            "param_name"    => "tz_category",
            "value"         => $tz_categories_array,
            "description"   => esc_html__("Choose category.", "tz-interiart"),
            "dependency" => Array('element' => "tz_option_link", 'value' => array('link-to-category')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Custom link", "tz-interiart"),
            "param_name" => "tz_custom_link",
            "value" => "",
            "dependency" => Array('element' => "tz_option_link", 'value' => array('custom-link')),
        ),
    )
) );

/***********************************************************************************
 * Class WPBakeryShortCode_Tz_Category_Slide
 */
class WPBakeryShortCode_Category_Slide extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Category Slide",
    "base" => "category_slide",
    "weight" => 1,
    "as_parent" => array('only' => 'category_slide_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Style of slide", "tz-interiart"),
            "param_name"    => "tz_style",
            "description"   => "",
            "value"         => array(
                esc_html__("In Grid", "tz-interiart")             => 'in_grid',
                esc_html__("Full Width", "tz-interiart")             => 'full_width'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Desktop", "tz-interiart"),
            "param_name"    => "tz_number_item_desk",
            "description"   => "",
            "value"         => array(
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4',
                esc_html__("5 item", "tz-interiart")             => '5',
                esc_html__("6 item", "tz-interiart")             => '6'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Tablet Landscape", "tz-interiart"),
            "param_name"    => "tz_number_item_tablet_landscape",
            "description"   => "",
            "value"         => array(
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4',
                esc_html__("5 item", "tz-interiart")             => '5',
                esc_html__("6 item", "tz-interiart")             => '6'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Tablet Portrait", "tz-interiart"),
            "param_name"    => "tz_number_item_tablet_portrait",
            "description"   => "",
            "value"         => array(
                esc_html__("1 item", "tz-interiart")             => '1',
                esc_html__("2 item", "tz-interiart")             => '2',
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Mobile", "tz-interiart"),
            "param_name"    => "tz_number_item_mobile",
            "description"   => "",
            "value"         => array(
                esc_html__("1 item", "tz-interiart")             => '1',
                esc_html__("2 item", "tz-interiart")             => '2',
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4'),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Auto Play", "tz-interiart"),
            "param_name"    => "tz_auto_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Loop", "tz-interiart"),
            "param_name"    => "tz_loop_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show next/prev buttons", "tz-interiart"),
            "param_name"    => "tz_nav_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show dots navigation.", "tz-interiart"),
            "param_name"    => "tz_dots_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
    ),
    "js_view" => 'VcColumnView'
) );

// Customer say item
$tz_categories_array = array('choose category of portfolio');
$tz_categories = get_categories(array('taxonomy'=>'portfolio-category'));
foreach($tz_categories as $tz_category){
    $tz_categories_array[$tz_category->name] = $tz_category->slug;
}

class WPBakeryShortCode_Category_Slide_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Category Slide Item",
    "base" => "category_slide_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'category_slide'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Image Option", "tz-interiart"),
            "param_name"    => "tz_image_option",
            "description"   => esc_html__("Show or hide image", "tz-interiart"),
            "value"         => array(
                esc_html__("Show", "tz-interiart")             => 'show',
                esc_html__("Hide", "tz-interiart")             => 'hide')
        ),
        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Image Background", "tz-interiart"),
            "param_name" => "tz_image",
            "description" => esc_html__("Upload image background for element.", "tz-interiart"),
            "dependency" => Array('element' => "tz_image_option", 'value' => array('show')),
        ),
        array(
            "type"          => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Font Icon", "tz-interiart"),
            "param_name"    => "tz_font_icon",
            "description"   => esc_html__("Show or hide icon", "tz-interiart"),
            "value"         => array(
                esc_html__("Furniture", "tz-interiart")             => 'furniture',
                esc_html__("Elegant", "tz-interiart")               => 'elegant',
                esc_html__("Font Awesome", "tz-interiart")          => 'awesome',
                esc_html__("Et Line", "tz-interiart")               => 'et-line')
        ),
        array(
            "type"         => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"      => esc_html__("Icon", "tz-interiart"),
            "param_name"   => "tz_icon",
            "description"  => ".If you choose font Et Line icon or font Elegant icon,you can see class of icon in package.If you choose Awesome font, you click on link to go to website: http://fontawesome.io/icons ,and choose suitable class. After that you can fill in textbox.Ex: fa-user",
            "value" => "",
        ),

        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_title",
            "value" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Option Link", "tz-interiart"),
            "param_name"    => "tz_option_link",
            "description"   => esc_html__("You can choose link to category or custom link", "tz-interiart"),
            "value"         => array(
                esc_html__("Link To Category", "tz-interiart") => 'link-to-category',
                esc_html__("Custom Link", "tz-interiart") => 'custom-link')
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Link To Category Page", "tz-interiart"),
            "param_name"    => "tz_category",
            "value"         => $tz_categories_array,
            "description"   => esc_html__("Choose category.", "tz-interiart"),
            "dependency" => Array('element' => "tz_option_link", 'value' => array('link-to-category')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Custom link", "tz-interiart"),
            "param_name" => "tz_custom_link",
            "value" => "",
            "dependency" => Array('element' => "tz_option_link", 'value' => array('custom-link')),
        ),
    )
) );

/***********************************************************************************
 * Class WPBakeryShortCode_Tz_Service
 */
class WPBakeryShortCode_Service extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Service",
    "base" => "service",
    "weight" => 1,
    "as_parent" => array('only' => 'service_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Type Slide", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")             => '1',
            ),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Desktop", "tz-interiart"),
            "param_name"    => "tz_number_item_desk",
            "description"   => "",
            "value"         => array(
                esc_html__("1 item", "tz-interiart")             => '1',
                esc_html__("2 item", "tz-interiart")             => '2',
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Tablet Landscape", "tz-interiart"),
            "param_name"    => "tz_number_item_tablet_landscape",
            "description"   => "",
            "value"         => array(
                esc_html__("1 item", "tz-interiart")             => '1',
                esc_html__("2 item", "tz-interiart")             => '2',
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Tablet Portrait", "tz-interiart"),
            "param_name"    => "tz_number_item_tablet_portrait",
            "description"   => "",
            "value"         => array(
                esc_html__("1 item", "tz-interiart")             => '1',
                esc_html__("2 item", "tz-interiart")             => '2',
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4'),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number Item On Mobile", "tz-interiart"),
            "param_name"    => "tz_number_item_mobile",
            "description"   => "",
            "value"         => array(
                esc_html__("1 item", "tz-interiart")             => '1',
                esc_html__("2 item", "tz-interiart")             => '2',
                esc_html__("3 item", "tz-interiart")             => '3',
                esc_html__("4 item", "tz-interiart")             => '4'),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Auto Play", "tz-interiart"),
            "param_name"    => "tz_auto_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Loop", "tz-interiart"),
            "param_name"    => "tz_loop_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show next/prev buttons", "tz-interiart"),
            "param_name"    => "tz_nav_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show dots navigation.", "tz-interiart"),
            "param_name"    => "tz_dots_option",
            "description"   => "",
            "value" => "",
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
    ),
    "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_Service_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Service Item",
    "base" => "service_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'service'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slide Item Type", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")     => '1',
                esc_html__("Type 2", "tz-interiart")     => '2'
            ),

        ),
        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Image Service", "tz-interiart"),
            "param_name" => "tz_image",
            "description" => esc_html__("Upload image for Service.", "tz-interiart"),
        ),
        array(
            "type"          => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Font Icon", "tz-interiart"),
            "param_name"    => "tz_font_icon",
            "description"   => esc_html__("Show or hide icon", "tz-interiart"),
            "value"         => array(
                esc_html__("Furniture", "tz-interiart")             => 'furniture',
                esc_html__("Elegant", "tz-interiart")               => 'elegant',
                esc_html__("Font Awesome", "tz-interiart")          => 'awesome',
                esc_html__("Et Line", "tz-interiart")               => 'et-line')
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"      => esc_html__("Icon", "tz-interiart"),
            "param_name"   => "tz_icon",
            "description"  => ".If you choose font Et Line icon or font Elegant icon,you can see class of icon in package.If you choose Awesome font, you click on link to go to website: http://fontawesome.io/icons ,and choose suitable class. After that you can fill in textbox.Ex: fa-user",
            "value" => "",
        ),

        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_title",
            "value" => "",
        ),

        array(
            "type"          => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Description Field Type", "tz-interiart"),
            "param_name"    => "tz_description_type",
            "description"   => esc_html__("Select Field type ( Textarea field or Editor field )", "tz-interiart"),
            "value"         => array(
                esc_html__("Textarea Field", "tz-interiart")             => 'textarea',
                esc_html__("Editor Field", "tz-interiart")               => 'editor')
        ),

        array(
            "type"          => "textarea",
            "class"         => "",
            "heading"       => esc_html__("Description", "tz-interiart"),
            "param_name"    => "tz_description",
            "value"         => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('textarea')),
        ),

        array(
            "type"       => "textarea_html",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Description", "tz-interiart"),
            "param_name" => "content",
            "value" => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('editor')),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Option Readmore", "tz-interiart"),
            "param_name"    => "tz_option_readmore",
            "description"   => esc_html__("You can choose show or hide button readmore.", "tz-interiart"),
            "value"         => array(
                esc_html__("Show", "tz-interiart") => 'show',
                esc_html__("Hide", "tz-interiart") => 'hide')
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Readmore Text", "tz-interiart"),
            "param_name" => "tz_readmore_text",
            "value" => "",
            "dependency" => Array('element' => "tz_option_readmore", 'value' => array('show')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Readmore Link", "tz-interiart"),
            "param_name" => "tz_readmore_link",
            "value" => "",
            "dependency" => Array('element' => "tz_option_readmore", 'value' => array('show')),
        ),
    )
) );

/***********************************************************************************
 * Class WPBakeryShortCode_Tz_Slide
 */
class WPBakeryShortCode_Slide extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Slide",
    "base" => "slide",
    "weight" => 1,
    "as_parent" => array('only' => 'slide_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slide Type", "tz-interiart"),
            "param_name"    => "tz_slide_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")     => '1',
                esc_html__("Type 2", "tz-interiart")     => '2',

            ),

        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Auto Play", "tz-interiart"),
            "param_name"    => "tz_slide_auto_option",
            "description"   => "",
            "value" => "",
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show next/prev buttons", "tz-interiart"),
            "param_name"    => "tz_slide_nav_option",
            "description"   => "",
            "value" => "",
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show dots navigation.", "tz-interiart"),
            "param_name"    => "tz_slide_dots_option",
            "description"   => "",
            "value" => "",
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading"       => esc_html__("Show/hide Scroll to Explore .", "tz-interiart"),
            "param_name"    => "tz_scroll_explore",
            "description"   => "",
            "value"         => array(
                esc_html__("Show", "tz-interiart")     => '1',
                esc_html__("Hide", "tz-interiart")     => '0',

            ),
            "dependency" => array('element' => 'tz_slide_type', 'value' => array('2'))
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Text Scroll to Explore", "tz-interiart"),
            "param_name" => "tz_text_scroll",
            "value" => "",
            "dependency" => array('element' => 'tz_scroll_explore', 'value' => array('1')),
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Id Scroll to Explore", "tz-interiart"),
            "param_name" => "tz_id_scroll",
            "value" => "",
            "dependency" => array('element' => 'tz_scroll_explore', 'value' => array('1')),
        ),
    ),
    "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_Slide_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Slide Item",
    "base" => "slide_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'slide'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(
        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Image Slide", "tz-interiart"),
            "param_name" => "tz_slide_image",
            "description" => esc_html__("Upload image for slide.", "tz-interiart"),
        ),
        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_slide_title",
            "value" => "",
        ),
        array(
            "type"          => "textarea",
            "class"         => "",
            "heading"       => esc_html__("Description", "tz-interiart"),
            "param_name"    => "tz_slide_description",
            "value"         => "",
            "dependency" => Array('element' => "tz_description_type", 'value' => array('textarea')),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => false,
            "heading"       => esc_html__("Option Readmore", "tz-interiart"),
            "param_name"    => "tz_slide_option_readmore",
            "description"   => esc_html__("You can choose show or hide button readmore.", "tz-interiart"),
            "value"         => array(
                esc_html__("Show", "tz-interiart") => 'show',
                esc_html__("Hide", "tz-interiart") => 'hide')
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Readmore Text", "tz-interiart"),
            "param_name" => "tz_slide_readmore_text",
            "value" => "",
            "dependency" => Array('element' => "tz_slide_option_readmore", 'value' => array('show')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Readmore Link", "tz-interiart"),
            "param_name" => "tz_slide_readmore_link",
            "value" => "",
            "dependency" => Array('element' => "tz_slide_option_readmore", 'value' => array('show')),
        ),
    )
) );


class WPBakeryShortCode_Our_Process  extends WPBakeryShortCodesContainer {}
vc_map( array(
    "name" => "Our Process",
    "base" => "our_process",
    "weight" => 1,
    "as_parent" => array('only' => 'our_process_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => 'Built for Templaza',
    "icon" => "icon-element",
    "show_settings_on_create" => true,
    "params" => array(
        array(
            "type"          => "textfield",
            "class"         => "",
            "heading"       => esc_html__("Title", "tz-interiart"),
            "param_name"    => "title",
            "value"         => "",
        ),
        array(
            "type"          => "textarea",
            "class"         => "",
            "heading"       => esc_html__("Description", "tz-interiart"),
            "param_name"    => "description",
            "value"         => "",
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Number Phase", "tz-interiart"),
            "param_name"    => "number_phase",
            "value"         => array(
                esc_html__("Two Phase", "tz-interiart") => '2',
                esc_html__("Three Phase", "tz-interiart") => '3',
                esc_html__("Four Phase", "tz-interiart") => '4',
                esc_html__("Five Phase", "tz-interiart") => '5'),
            "description"   => esc_html__("Select number phase of process.", "tz-interiart")
        ),
    ),
    "js_view" => 'VcColumnView'
) );

// Our Team item
class WPBakeryShortCode_Our_Process_Item  extends WPBakeryShortCode {}
vc_map( array(
    "name" => "Our Process Item",
    "base" => "our_process_item",
    "icon" => "icon-element",
    "category" => 'Built for Templaza',
    "allowed_container_element" => 'vc_row',
    "as_child" => array('only' => 'our_process'), // Use only|except attributes to limit parent (separate multiple values with comma)
    "params" => array(
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Font Icon", "tz-interiart"),
            "param_name"    => "font_icon",
            "description"   => esc_html__("Show or hide icon", "tz-interiart"),
            "value"         => array(
                esc_html__("Furniture", "tz-interiart")             => 'furniture',
                esc_html__("Et Line", "tz-interiart")               => 'et-line',
                esc_html__("Elegant", "tz-interiart")               => 'elegant',
                esc_html__("Font Awesome", "tz-interiart")          => 'awesome')
        ),
        array(
            "type"         => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"      => esc_html__("Class Of Icon", "tz-interiart"),
            "param_name"   => "icon",
            "description"  => ".If you choose font Et Line icon or font Elegant icon,you can see class of icon in package.If you choose Awesome font, you click on link to go to website: http://fontawesome.io/icons ,and choose suitable class. After that you can fill in textbox.Ex: fa-user",
            "value" => "",
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Year of Phase","tz-interiart"),
            "param_name" => "year",
            "value" => "",
            "description" => ""
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => esc_html__("Name of Phase","tz-interiart"),
            "param_name" => "name",
            "value" => "",
            "description" => ""
        ),
    ),
) );


vc_add_shortcode_param( 'my_param', 'my_param_settings_field' );
function my_param_settings_field( $settings, $value ) {
    return '<div class="my_param_block">'
        .'<input name="' . esc_attr( $settings['param_name'] ) . '" class="wpb_vc_param_value wpb-textinput ' .
        esc_attr( $settings['param_name'] ) . ' ' .
        esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '" />' .
        '</div>'; // This is html markup that will be outputted in content elements edit form
}

?>