<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $full_width
 * @var $full_height
 * @var $equal_height
 * @var $columns_placement
 * @var $content_placement
 * @var $parallax
 * @var $parallax_image
 * @var $css
 * @var $el_id
 * @var $video_bg
 * @var $video_bg_url
 * @var $video_bg_parallax
 * @var $content - shortcode content
 * @var $tz_row_type
 * @var $tz_overlay_parallax
 * @var $tz_pattern
 * @var $tz_ruler
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Row
 */
$el_class = $full_height = $full_width = $equal_height = $flex_row = $columns_placement = $content_placement = $parallax = $parallax_image = $css = $el_id = $video_bg = $video_bg_url = $video_bg_parallax = $tz_row_type = $tz_overlay_parallax = $tz_pattern = $tz_ruler = '';
$output = $after_output = $tz_image_background = $tz_type_image = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

wp_enqueue_script('wpb_composer_front_js');

$el_class = $this->getExtraClass($el_class);

$css_classes = array(
    'vc_row',
    'wpb_row', //deprecated
    'vc_row-fluid',
    $el_class,
    vc_shortcode_custom_css_class($css),
);

if ('yes' === $disable_element) {
    if (vc_is_page_editable()) {
        $css_classes[] = 'vc_hidden-lg vc_hidden-xs vc_hidden-sm vc_hidden-md';
    } else {
        return '';
    }
}

if (vc_shortcode_custom_css_has_property($css, array('border', 'background')) || $video_bg || $parallax) {
    $css_classes[] = 'vc_row-has-fill';
}

if (!empty($atts['gap'])) {
    $css_classes[] = 'vc_column-gap-' . $atts['gap'];
}

$wrapper_attributes = array();
// build attributes for wrapper
if (!empty($el_id)) {
    $wrapper_attributes[] = 'id="' . esc_attr($el_id) . '"';
}
if (!empty($full_width)) {
    $wrapper_attributes[] = 'data-vc-full-width="true"';
    $wrapper_attributes[] = 'data-vc-full-width-init="false"';
    if ('stretch_row_content' === $full_width) {
        $wrapper_attributes[] = 'data-vc-stretch-content="true"';
    } elseif ('stretch_row_content_no_spaces' === $full_width) {
        $wrapper_attributes[] = 'data-vc-stretch-content="true"';
        $css_classes[] = 'vc_row-no-padding';
    }
    $after_output .= '<div class="vc_row-full-width"></div>';
}

//if ( ! empty( $full_height ) ) {
//	$css_classes[] = ' vc_row-o-full-height';
//	if ( ! empty( $content_placement ) ) {
//		$css_classes[] = ' vc_row-o-content-' . $content_placement;
//	}
//}
if (!empty($full_height)) {
    $css_classes[] = ' vc_row-o-full-height';
    if (!empty($columns_placement)) {
        $flex_row = true;
        $css_classes[] = ' vc_row-o-columns-' . $columns_placement;
    }
}

if (!empty($equal_height)) {
    $flex_row = true;
    $css_classes[] = ' vc_row-o-equal-height';
}

if (!empty($content_placement)) {
    $flex_row = true;
    $css_classes[] = ' vc_row-o-content-' . $content_placement;
}

if (!empty($flex_row)) {
    $css_classes[] = ' vc_row-flex';
}

// use default video if user checked video, but didn't chose url
if (!empty($video_bg) && empty($video_bg_url)) {
    $video_bg_url = 'https://www.youtube.com/watch?v=lMJXxhRFO1k';
}

$has_video_bg = (!empty($video_bg) && !empty($video_bg_url) && vc_extract_youtube_id($video_bg_url));

if ($has_video_bg) {
    $parallax = $video_bg_parallax;
    $parallax_image = $video_bg_url;
    $css_classes[] = ' vc_video-bg-container';
    wp_enqueue_script('vc_youtube_iframe_api_js');
}

if ($tz_image_background && $tz_type_image == "top") {
    $css_classes[] = 'tz_interiart_top';
}
if ($tz_image_background && $tz_type_image == "normal") {
    $css_classes[] = 'tz_interiart_normal';
}
if (!empty($parallax)) {
    wp_enqueue_script('vc_jquery_skrollr_js');
    $wrapper_attributes[] = 'data-vc-parallax="'.$parallax_speed_bg.'"'; // parallax speed
    $css_classes[] = 'vc_general vc_parallax vc_parallax-' . $parallax;
    if (strpos($parallax, 'fade') !== false) {
        $css_classes[] = 'js-vc_parallax-o-fade';
        $wrapper_attributes[] = 'data-vc-parallax-o-fade="on"';
    } elseif (strpos($parallax, 'fixed') !== false) {
        $css_classes[] = 'js-vc_parallax-o-fixed';
    }
}

if (!empty ($parallax_image)) {
    if ($has_video_bg) {
        $parallax_image_src = $parallax_image;
    } else {
        $parallax_image_id = preg_replace('/[^\d]/', '', $parallax_image);
        $parallax_image_src = wp_get_attachment_image_src($parallax_image_id, 'full');
        if (!empty($parallax_image_src[0])) {
            $parallax_image_src = $parallax_image_src[0];
        }
    }
    $wrapper_attributes[] = 'data-vc-parallax-image="' . esc_attr($parallax_image_src) . '"';
}
if (!$parallax && $has_video_bg) {
    $wrapper_attributes[] = 'data-vc-video-bg="' . esc_attr($video_bg_url) . '"';
}
$css_class = preg_replace('/\s+/', ' ', apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode(' ', array_filter($css_classes)), $this->settings['base'], $atts));
$wrapper_attributes[] = 'class="' . esc_attr(trim($css_class)) . '"';

$output .= '<div ' . implode(' ', $wrapper_attributes) . '>';
if (!empty ($tz_ruler) && $tz_ruler == '1') {
    $output .= '<div class="tzRow-ruler"></div>';
}
if ($tz_image_background && $tz_type_image == 'top') {
    $tz_img_id = preg_replace('/[^\d]/', '', $tz_image_background);
    $tz_width_img = '';
    $tz_height_img = '';
    $tz_images_info = wp_get_attachment_image_src($tz_img_id, $size = 'full');
    if (isset($tz_images_info) && !empty($tz_images_info)) {
        $tz_url_img = $tz_images_info[0];
        $tz_width_img = $tz_images_info[1];
        $tz_height_img = $tz_images_info[2];
    }
    $output .= '<div class="tz_image_background">';
    $output .= '<div class="tz_image_item">';
    $output .= '<img class="image_bg" src="' . $tz_url_img . '">';
    $output .= '</img>';
    $output .= '</div>';
    $output .= '</div>';
}
if ($tz_image_background && $tz_type_image == 'normal') {
    $tz_img_id = preg_replace('/[^\d]/', '', $tz_image_background);
    $tz_width_img = '';
    $tz_height_img = '';
    $tz_images_info = wp_get_attachment_image_src($tz_img_id, $size = 'full');
    if (isset($tz_images_info) && !empty($tz_images_info)) {
        $tz_url_img = $tz_images_info[0];
        $tz_width_img = $tz_images_info[1];
        $tz_height_img = $tz_images_info[2];
    }
    $output .= '<div class="tz_image_normal">';
    $output .= '<div class="tz_image_item">';
    $output .= '<img class="image_bg" src="' . $tz_url_img . '">';
    $output .= '</img>';
    $output .= '</div>';
    $output .= '</div>';
}
if ($tz_row_type == 'grid') {
    $output .= '<div class="container">';
    $output .= '<div class="row">';
    $output .= wpb_js_remove_wpautop($content);
    $output .= '</div>';
    $output .= '</div>';
} else {
    $output .= '<div class="no_container">';
    $output .= wpb_js_remove_wpautop($content);
    $output .= '</div>';
}

if (!empty($parallax) && $tz_overlay_parallax != ''):
    $output .= '<div class="overlay_parallax" style="background-color:' . $tz_overlay_parallax . '"></div>';
endif;

if (!empty ($tz_pattern) && $tz_pattern == '1') {
    $output .= '<div class="tzPattern"></div>';
}
$output .= '</div>';
$output .= $after_output;
$output .= $this->endBlockComment($this->getShortcode());

echo balanceTags($output);