<?php
vc_map(array(
    "name" => esc_html__("Contact Info", "tz-interiart"),
    "icon" => "icon-element",
    "weight" => 1,
    "base" => "tz-contact-info",
    "class" => "tzElement_extended",
    "description" => "",
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Contact Type", "tz-interiart"),
            "param_name" => "tz_type_contact",
            "description" => "",
            "value" => array(
                esc_html__("Type 1", "tz-interiart") => '1',
                esc_html__("Type 2", "tz-interiart") => '3',

            ),

        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Type Icon", "tz-interiart"),
            "param_name" => "tz_type_icon",
            "description" => "",
            "value" => array(
                esc_html__("Icon", "tz-interiart") => 'icon',
                esc_html__("Image", "tz-interiart") => 'image'),
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('1')),
        ),

        array(
            "type" => "attach_image",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Image Info", "tz-interiart"),
            "param_name" => "tz_image",
            "dependency" => Array('element' => "tz_type_icon", 'value' => array('image')),
        ),

        array(
            "type" => "iconpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Icon Info", "tz-interiart"),
            "param_name" => "tz_icon",
            "description" => esc_html__(" Choose icon from library", "tz-interiart"),
            'value' => 'fa fa-home',
            'settings' => array(
                'emptyIcon' => false, // default true, display an "EMPTY" icon?
                'iconsPerPage' => 100, // default 100, how many icons per/page to display
            ),
            "dependency" => Array('element' => "tz_type_icon", 'value' => array('icon')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Title", "tz-interiart"),
            "param_name" => "tz_title",
            "description" => "",
            "value" => "",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('1', '2')),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Title', 'tz-interiart'),
            "param_name" => "tz_color_title",
            "description" => esc_html__("You can set a color title.", "tz-interiart"),
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('1', '2')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Info", "tz-interiart"),
            "param_name" => "tz_info",
            "description" => "",
            "value" => "",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('1')),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Info', 'tz-interiart'),
            "param_name" => "tz_color_info",
            "description" => esc_html__("You can set a color info.", "tz-interiart"),
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('1')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Phone Number", "tz-interiart"),
            "param_name" => "tz_phone_number",
            "description" => "Enter phone number",
            "value" => "",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('2','3')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Padding top phone number", "tz-interiart"),
            "param_name" => "tz_padding_top_phone_number",
            "description" => "Ex: 50",
            "value" => "87",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('3')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Padding bottom phone number", "tz-interiart"),
            "param_name" => "tz_padding_bottom_phone_number",
            "description" => "Ex: 50",
            "value" => "210",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('3')),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Phone Number', 'tz-interiart'),
            "param_name" => "tz_color_phone_number",
            "description" => esc_html__("You can set a color Phone Number.", "tz-interiart"),
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('2','3')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Email", "tz-interiart"),
            "param_name" => "tz_email",
            "value" => "",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('2','3')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Padding Top Email", "tz-interiart"),
            "param_name" => "tz_padding_top_email",
            "description" => "Ex: 50",
            "value" => "87",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('3')),
        ),
        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Padding bottom Email", "tz-interiart"),
            "param_name" => "tz_padding_bottom_email",
            "description" => "Ex: 50",
            "value" => "210",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('3')),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Email', 'tz-interiart'),
            "param_name" => "tz_color_email",
            "description" => esc_html__("You can set a color email.", "tz-interiart"),
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('2','3')),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => false,
            "heading" => __("Space on the left of the Box", "tz-interiart"),
            "param_name" => "tz_left_box",
            "description" => "Ex: 50px",
            "value" => "",
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('3')),
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Background color', 'tz-interiart'),
            "param_name" => "tz_bgcolor",
            "description" => esc_html__("You can set background color.", "tz-interiart"),
            "dependency" => Array('element' => "tz_type_contact", 'value' => array('3')),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__("Css Animation", "tz-interiart"),
            "param_name" => "tz_css_animation",
            "description" => "",
            "value" => array(
                esc_html__("No animation", "tz-interiart") => '',
                esc_html__("Top to bottom", "tz-interiart") => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart") => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart") => 'left-to-right',
                esc_html__("Right to left", "tz-interiart") => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart") => 'appear'),
        ),
    )
));
?>