<?php

function tz_contact_us($atts, $content = null)
{
    $tz_phone_title = $tz_phone_number = $tz_mail = $css = '';
    extract(shortcode_atts(array(
        'tz_phone_title' => '',
        'tz_phone_number' => '',
        'tz_mail' => '',
        'css' => '',


    ), $atts));
    ob_start();

    $contact_classes = '';
    if (isset($css) && $css != ''):
        $contact_classes .= ' ' . vc_shortcode_custom_css_class($css);
    endif;

    ?>

    <div class="tz_contact_us <?php echo esc_attr($contact_classes); ?>">
        <div class="tz_contact_box">
            <?php
            if ($tz_phone_title != '') {
                ?>
                <h6 class="tz_contact_title">
                    <?php
                    echo balanceTags($tz_phone_title);
                    ?>
                </h6>
                <?php
            }
            ?>
            <?php
            if ($tz_phone_number) {
                ?>
                <a href="tel:<?php echo balanceTags($tz_phone_number); ?>"
                   class="tz_contact_phone">
                    <?php
                    echo balanceTags($tz_phone_number);
                    ?>
                </a>
                <?php
            }
            ?>
            <?php
            if ($tz_mail) {
                ?>
                <a href="mailto:<?php echo balanceTags($tz_mail); ?>"
                   class="tz_contact_mail">
                    <?php
                    echo balanceTags($tz_mail);
                    ?>
                </a>
                <?php
            }
            ?>
        </div>
    </div>
    <?php

    return ob_get_clean();
}

add_shortcode('tz_contact_us', 'tz_contact_us');
?>
