<?php

vc_map( array(
    "name" => esc_html__("Counter", "tz-interiart"),
    "weight" => 14,
    "base" => "tz-counter",
    'icon'          =>  'icon-element',
    "description" => "",
    "class" => "tzElement_extended",
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Type Counter", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart")             => 'type1',
                esc_html__("Type 2", "tz-interiart")             => 'type2',
                esc_html__("Type 3", "tz-interiart")             => 'type3',
                esc_html__("Type 4", "tz-interiart")             => 'type4',
                esc_html__("Type 5", "tz-interiart")             => 'type5',
            ),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Font Icon", "tz-interiart"),
            "param_name"    => "font_icon",
            "description"   => esc_html__("Show or hide icon", "tz-interiart"),
            "value"         => array(
                esc_html__("Furniture", "tz-interiart")             => 'furniture',
                esc_html__("Et Line", "tz-interiart")               => 'et-line',
                esc_html__("Elegant", "tz-interiart")               => 'elegant',
                esc_html__("Font Awesome", "tz-interiart")          => 'awesome'),
            "dependency"   => array('element' => 'tz_type', 'value' => array('type1','type2','type4')),
        ),
        array(
            "type"         => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"      => ent2ncr("Class Of Icon", "tz-interiart"),
            "param_name"   => "icon",
            "description"  => ent2ncr("If you choose font Furniture icon, you can click on link: <a href=\"http://interiart.templaza.net/furniture-icons/\" target=\"_blank\" style=\"text-decoration: none;\">Font Furniture</a>. If you choose font Et-Line icon, you can click on link: <a href=\"http://interiart.templaza.net/icons-et-line/\" target=\"_blank\" style=\"text-decoration: none;\">Font Et-Line</a>. If you choose font Elegant icon, you can click on link: <a href=\"http://interiart.templaza.net/elegant-icons-font/\" target=\"_blank\" style=\"text-decoration: none;\">Font Elegant</a>.If you choose Awesome font, you click on link: <a href=\"https://fontawesome.com/v4.7.0/icons/\" target=\"_blank\" style=\"text-decoration: none;\">Font Awesome</a> ,and choose suitable class. After that you can fill in textbox.Ex: fa-user"),
            "dependency"   => array('element' => 'font_icon', 'value' => array('et-line','elegant','awesome','furniture')),
            "value" => "",
        ),

        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Of Icon', 'tz-interiart'),
            "param_name" => "color_icon",
            "description" => esc_html__("You can set a color.", "tz-interiart"),
            "dependency"   => array('element' => 'font_icon', 'value' => array('et-line','elegant','awesome')),
        ),
        array(
            "type"       => "textfield",
            "class"         => "",
            "admin_label" => true,
            "heading"    => esc_html__("Count", "tz-interiart"),
            "param_name" => "count",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Of Count', 'tz-interiart'),
            "param_name" => "color_count",
            "description" => esc_html__("You can set a color.", "tz-interiart"),
            "value" => "",
        ),
        array(
            "type"       => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading"    => esc_html__("Title", "tz-interiart"),
            "param_name" => "title",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "class" => "",
            "admin_label" => false,
            "heading" => esc_html__('Color Of Title', 'tz-interiart'),
            "param_name" => "color_title",
            "description" => esc_html__("You can set a color.", "tz-interiart"),
            "value" => "",
        ),

        array(
            "type"        =>  "checkbox",
            "class"       =>  "",
            "admin_label" => false,
            "heading"     => esc_html__("Border","tz-interiart"),
            "description"   => "Chose to show border left.",
            "param_name"  => "tz_border",
            "value"       => array( '' => 'tz_border'),
            "dependency"   => array('element' => 'tz_type', 'value' => array('type4')),
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),

    )
) );

?>