<?php

vc_map( array(
    "name" => esc_html__("Image Slide", "tz-interiart"),
    "weight" => 14,
    "base" => "tz-image-slide",
    "icon" => "icon-element",
    "description" => "",
    "class" => "tzElement_extended",
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Type Image Slide", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => esc_html__("Select type image slide", "tz-interiart"),
            "value"         => array(
                esc_html__("Type 1", "tz-interiart") => 'slide-type-1',
                esc_html__("Type 2", "tz-interiart") => 'slide-type-2',
            ),
            'group' => esc_html__( 'General', 'tz-interiart' ),
        ),

        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name"    => "preview_type_1",
            "value"         => PLUGIN_PATH."assets/images/slide1.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('slide-type-1')),
            'group' => esc_html__( 'General', 'tz-interiart' ),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name"    => "preview_type_2",
            "value"         => PLUGIN_PATH."assets/images/slide2.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('slide-type-2')),
            'group' => esc_html__( 'General', 'tz-interiart' ),
        ),
        array(
            "type"          => "attach_images",
            "heading"       => esc_html__("Upload Image", "tz-interiart"),
            "param_name"    => "tz_image",
            "description"   => esc_html__("Upload image image gallery.", "tz-interiart"),
            'group' => esc_html__( 'General', 'tz-interiart' ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Image Size", "tz-interiart"),
            "param_name" => "tz_image_size",
            "description" => esc_html__("Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \"thumbnail\" size. If used slides per view, this will be used to define carousel wrapper size.","tz-interiart"),
            "value" => "",
            'group' => esc_html__( 'General', 'tz-interiart' ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Desktop", "tz-interiart"),
            "param_name" => "tz_number_desktop",
            "description" => esc_html__("Slides per page on desktop","tz-interiart"),
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Tablet Landscape", "tz-interiart"),
            "param_name" => "tz_number_tablet_landscape",
            "description" => esc_html__("Slides per page on tablet landscape","tz-interiart"),
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Tablet Portait", "tz-interiart"),
            "param_name" => "tz_number_tablet_portait",
            "description" => esc_html__("Slides per page on tablet Portait","tz-interiart"),
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Mobile", "tz-interiart"),
            "param_name" => "tz_number_mobile",
            "description" => esc_html__("Slides per page on Mobile","tz-interiart"),
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show next/prev buttons", "tz-interiart"),
            "param_name"    => "tz_nav_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Loop", "tz-interiart"),
            "param_name"    => "tz_loop_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Auto play", "tz-interiart"),
            "param_name"    => "tz_auto_play",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Show dots navigation.", "tz-interiart"),
            "param_name"    => "tz_dots_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Slider Center", "tz-interiart"),
            "param_name"    => "tz_center_option",
            "description"   => "",
            "value" => "",
            'group' => esc_html__( 'Slider Options', 'tz-interiart' ),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
) );

?>