<?php
vc_map( array(
    "name"          => esc_html__("Our Service Item", "tz-interiart"),
    "icon"          => "icon-element",
    "base"          => "our_service",
    "weight"        => 1,
    "description"   => "",
    "class"         => "tzElement_extended",
    "category"      => esc_html__("Built for Templaza", "tz-interiart"),
    "params"        => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Type Services", "tz-interiart"),
            "param_name"    => "tz_type",
            "value"         => array(
                esc_html__("Type 1", "tz-interiart") => '1',
                esc_html__("Type 2", "tz-interiart") => '2',
                esc_html__("Type 3", "tz-interiart") => '3',

            )
        ),

        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name"    => "preview_type_1",
            "value"         => PLUGIN_PATH."assets/images/ourservice1.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('1'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name"    => "preview_type_2",
            "value"         => PLUGIN_PATH."assets/images/ourservice2.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('2'))
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 3", "tz-interiart"),
            "param_name"    => "preview_type_3",
            "value"         => PLUGIN_PATH."assets/images/ourservice3.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => array('3'))
        ),

        array(
            "type"          => "attach_image",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Image Project", "tz-interiart"),
            "param_name"    => "tzinteriart_image",
            "dependency"        => Array('element' => "tz_type", 'value' => array('1','3')),
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number", "tz-interiart"),
            "param_name"    => "tzinteriart_number",
            "value"         => "",
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Title", "tz-interiart"),
            "param_name"    => "tzinteriart_title",
            "value" => "",
        ),

        array(
            "type"              => "colorpicker",
            "class"             => "",
            "admin_label"       => true,
            "heading"           => esc_html__('Color Title', 'tz-interiart'),
            "param_name"        => "tzinteriart_color"
        ),

        array(
            "type"              => "textarea",
            "class"             => "",
            "admin_label"       => false,
            "heading"           => esc_html__("Description", "tz-interiart"),
            "param_name"        => "tzinteriart_des",
            "value"             => "",
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Option Button", "tz-interiart"),
            "param_name"    => "tz_option_button",
            "description"   => esc_html__("You can choose show or hide button.", "tz-interiart"),
            "value"         => array(
                esc_html__("Show", "tz-interiart") => 'show',
                esc_html__("Hide", "tz-interiart") => 'hide')
        ),
        array(
            "type"              => "textfield",
            "class"             => "",
            "admin_label"       => false,
            "heading"           => esc_html__("Button Text", "tz-interiart"),
            "param_name"        => "tzinteriart_readmore_text",
            "value"             => "",
            "dependency"        => Array('element' => "tz_option_button", 'value' => array('show')),
        ),
        array(
            "type"              => "textfield",
            "class"             => "",
            "admin_label"       => false,
            "heading"           => esc_html__("Button Link", "tz-interiart"),
            "param_name"        => "tzinteriart_readmore_link",
            "value"             => "",
            "dependency"         => Array('element' => "tz_option_button", 'value' => array('show')),
        ),
        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image Alignment", "tz-interiart"),
            "param_name"    => "tzinteriart_option",
            "value"         => array(
                esc_html__("Left", "tz-interiart") => '1',
                esc_html__("Right", "tz-interiart") => '2'
            ),
            "dependency"        => Array('element' => "tz_type", 'value' => array('1','3')),
        ),

        array(
            "type"          => "dropdown",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Description Alignment", "tz-interiart"),
            "param_name"    => "tzinteriart_align_content",
            "value"         => array(
                esc_html__("Top", "tz-interiart") => '1',
                esc_html__("Center", "tz-interiart") => '2',
                esc_html__("Bottom", "tz-interiart") => '3'
            ),
            "dependency"        => Array('element' => "tz_type", 'value' => array('3')),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
));
?>