<?php
/*
 * Element Tz Recent Post
 * */

vc_map( array(
    "name"          => esc_html__("Recent Posts", "tz-interiart"),
    "icon"          => "icon-element",
    "base"          => "tz-recent-posts",
    "weight"        => 1,
    "description"   => "",
    "class"         => "tzElement_extended",
    "category"      => esc_html__("Built for Templaza", "tz-interiart"),
    "params"        => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Select Type", "tz-interiart"),
            "param_name" => "tz_type",
            "description" => '',
            "value" => array(
                esc_html__("Type 1", "tz-interiart") => '1',
                esc_html__("Type 2", "tz-interiart") => '2',
                esc_html__("Type 3", "tz-interiart") => '3',
                esc_html__("Type 4", "tz-interiart") => '4',
                esc_html__("Type 5", "tz-interiart") => '5',
                esc_html__("Type 6", "tz-interiart") => '6',
            ),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 1", "tz-interiart"),
            "param_name"    => "preview_type_1",
            "value"         => PLUGIN_PATH."assets/images/recent_post_type1.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '1'),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 2", "tz-interiart"),
            "param_name"    => "preview_type_2",
            "value"         => PLUGIN_PATH."assets/images/recent_post_type2.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '2'),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 3", "tz-interiart"),
            "param_name"    => "preview_type_3",
            "value"         => PLUGIN_PATH."assets/images/recent_post_type3.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '3'),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 4", "tz-interiart"),
            "param_name"    => "preview_type_4",
            "value"         => PLUGIN_PATH."assets/images/recent_post_type4.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '4'),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 5", "tz-interiart"),
            "param_name"    => "preview_type_5",
            "value"         => PLUGIN_PATH."assets/images/recent_post_type5.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '5'),
        ),
        array(
            "type"          => "tzpreview",
            "class"         => "",
            "admin_label"   => false,
            "heading"       => esc_html__("Preview Type 6", "tz-interiart"),
            "param_name"    => "preview_type_6",
            "value"         => PLUGIN_PATH."assets/images/recent_post_type6.jpg",
            "dependency" => array('element' => 'tz_type', 'value' => '6'),
        ),
        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Number of posts", "tz-interiart"),
            "param_name"    => "tz_number_posts",
            "value"         => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Number of columns", "tz-interiart"),
            "param_name" => "tz_number_columns",
            "description" => "",
            "value" => array(
                esc_html__("2 columns", "tz-interiart") => '2',
                esc_html__("3 columns", "tz-interiart") => '3',
                esc_html__("4 columns", "tz-interiart") => '4'
            ),
            "dependency"    => Array('element' => "tz_type", 'value' => array('1','3','4','5','6'))
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Image Height Option", "tz-interiart"),
            "param_name" => "tz_image_height_option",
            "description" => "",
            "value" => array(
                esc_html__("Auto", "tz-interiart") => 'auto',
                esc_html__("Fix", "tz-interiart") => 'fix'
            ),
            "dependency"    => Array('element' => "tz_type", 'value' => array('2'))
        ),

        array(
            "type"          => "textfield",
            "class"         => "",
            "admin_label"   => true,
            "heading"       => esc_html__("Image Height(px)", "tz-interiart"),
            "param_name"    => "tz_image_height",
            "value"         => "",
            "dependency"    => Array('element' => "tz_image_height_option", 'value' => array('fix'))
        ),
        array(
            "type"          => "dropdown",
            "heading"       => esc_html__("Align", "tz-interiart"),
            "param_name"    => "tz_align",
            "value"         => array(
                esc_html__("Left", "tz-interiart") => '1',
                esc_html__("Center", "tz-interiart") => '2',
                esc_html__("Right", "tz-interiart") => '3',
            ),
            "dependency"    => Array('element' => "tz_type", 'value' => array('3'))
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),

        array(
            "type"          =>  "dropdown",
            "class"         =>  "",
            "heading"       =>  "Show/hide date",
            "param_name"    =>  "tz_hide_date",
            "value"         =>  array (
                'Show'      =>  'show',
                'Hide'      =>  'hide'
            ),
            "group"         => esc_html__("Blog Option","tz-interiart"),
        ),
        array(
            "type"          =>  "dropdown",
            "class"         =>  "",
            "heading"       =>  "Show/hide author",
            "param_name"    =>  "tz_hide_author",
            "value"         =>  array (
                'Show'      =>  'show',
                'Hide'      =>  'hide'
            ),
            "group"         => esc_html__("Blog Option","tz-interiart"),
            "dependency"    => Array('element' => "tz_type", 'value' => array('3','4','5'))
        ),
        array(
            "type"          =>  "dropdown",
            "class"         =>  "",
            "heading"       =>  "Show/hide comment",
            "param_name"    =>  "hide_comment",
            "value"         =>  array (
                'show'      =>  'show',
                'hide'      =>  'hide',
            ),
            "group"         => esc_html__("Blog Option","tz-interiart"),
            "dependency"    => Array('element' => "tz_type", 'value' => array('1','2','3','4','5'))
        ),
        array(
            "type"          =>  "dropdown",
            "class"         =>  "",
            "heading"       =>  "Show/hide description",
            "param_name"    =>  "hide_description",
            "value"         =>  array (
                'show'      =>  'show',
                'hide'      =>  'hide',
            ),
            "group"         => esc_html__("Blog Option","tz-interiart"),
            "dependency"    => Array('element' => "tz_type", 'value' => array('1','2','4','5'))
        ),
        array(
            "type"          =>  "dropdown",
            "class"         =>  "",
            "heading"       =>  "Show/hide readmore",
            "param_name"    =>  "hide_readmore",
            "value"         =>  array (
                'show'      =>  'show',
                'hide'      =>  'hide',
            ),
            "group"         => esc_html__("Blog Option","tz-interiart"),
            "dependency"    => Array('element' => "tz_type", 'value' => array('1','4','5','6'))
        ),
        array(
            "type"          =>  "dropdown",
            "class"         =>  "",
            "heading"       =>  "Show/hide total views",
            "param_name"    =>  "hide_total_view",
            "value"         =>  array (
                'show'      =>  'show',
                'hide'      =>  'hide',
            ),
            "group"         => esc_html__("Blog Option","tz-interiart"),
            "dependency"    => Array('element' => "tz_type", 'value' => array('1','3'))
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
));
?>